Gradle decided suddenly to give compiling errors it was working fine yesterday.

Status
Resolved
Type
Product/platform
MCreator/Windows
Priority
Normal
Issue description

Hello Klemen, I have a issue with compiling, its saying the compiler is outdated or something like that I am not sure what its trying to say.

Last night it was working fine but today I can't seem to compile the workspace. I did unlock stairs last night but I can't remember if that was the last thing I did or not, I did not change anything and locked it back up after as I just wanted to see if there was any water logging code in the stairs.

I have been mostly updating texture in the past 24 hours I did have some issues with entity AI not attacking the player and I tried to get it working from an example Goldorion posted from his working mod so I am not sure if its related. Hostile "Mob" entities would charge the player in survival but not inflict damage. Again not sure if this is related or not.

This morning I was updating some textures I made last night and I have found that recompiling then restarting MCreator fixes the GUI bug where new textures does not update. However this morning it started giving me errors.

I checked for Windows update there was only one and the issues still was there after. And Java is up to date so its not that, my graphics card does not show that there is any updates I need to do so I don't think it will be that anyways.

I included --stacktrace --debug --info --scan

console logs in the zip file and the workspace. 

One other thing is no elements are highlighted stating there is a issue, so I am not sure if this is related to the last post I made or if its the same one but restarting MCreator did not fix the issue this time around if its the same thing.

I hope I provided enough information if you need me to do anything on my end let me know here and I will do what you need ;)

Thanks for you help I am looking forward to working on this mod again.

Attachment Size
Logs, and Workspace141.5 KB 141.5 KB

Issue comments

Thank you for the extensive report. This really helped. Based on these parts:

> Failed to validate certificate for https://files.minecraftforge.net/maven/, Most likely cause is an outdated JDK. Try updating at https://adoptopenjdk.net/ To disable this check re-run with -Dnet.minecraftforge.gradle.test_certs=false

PKIX path validation failed: java.security.cert.CertPathValidatorException: validity check failed

It seems Forge's SSL certificate expired, but checking at the moment it seems they extended tha validity so it should work now ;)



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.